Bug 44240 - System Setup software selection incomplete
System Setup software selection incomplete
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-2
Assigned To: Dirk Wiesenthal
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-03 17:05 CEST by Erik Damrose
Modified: 2017-09-11 06:40 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 3: Simply Wrong: The implementation doesn't match the docu
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.086
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
no self service on slave (75.43 KB, image/png)
2017-09-05 11:21 CEST, Erik Damrose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2017-04-03 17:05:51 CEST
The system setup software selection is incomplete. The self service app is installable on DC slaves with UCS 4.2.

If i look at /var/cache/univention-appcenter/appcenter.software-univention.de/4.2/self-service/self-service_20151117.ini, the serverrole domaincontroller_slave is there.

But it does not show up in System setup in the latest appliance and with ucs_4.2-0-20170403-154748-dvd-amd64.iso
Comment 1 Dirk Wiesenthal univentionstaff 2017-08-14 12:37:09 CEST
I guess we just need to update the initial all.tar.gz shipped with the univention-appcenter package. Always a good idea before releasing a new image, so tagging it to 4.2-2
Comment 2 Erik Damrose univentionstaff 2017-08-28 13:12:33 CEST
@Dirk: Is the initial all.tar.gz updated with every u-appcenter package build, or are manual steps necessary? If it is updated automatically, it might already be fixed for 4.2-2?
Comment 3 Dirk Wiesenthal univentionstaff 2017-09-01 12:09:31 CEST
Fixed in

Package: univention-appcenter
Version: 6.0.10-1A~4.2.0.201709011208
Branch: ucs_4.2-0
Scope: ucs4.2-2

Changelog added
Comment 4 Erik Damrose univentionstaff 2017-09-05 11:21:29 CEST
Created attachment 9170 [details]
no self service on slave

OK: Works on the DVD
Fail: Does not work in latest Appliance

Since UCS 4.2-0 we have issues with our components not beeing displayed correctly in system-setup.

See attached screenshot: The backend reports that the self-service app is installable on domaincontroller_slave, but the grid does not display the app.
Comment 5 Erik Damrose univentionstaff 2017-09-05 11:22:58 CEST
So i guess this is verified for UCS 4.2 for the DVD. I will create another bug so that we can look at the issue again in the future.
Comment 6 Stefan Gohmann univentionstaff 2017-09-11 06:40:21 CEST
UCS 4.2-2 has been released.